# FA2022 USB-D11C-serial (Arduino IDE + Raspberry Pi pico)

!!! attention
    This Page is still under construction


## Set up Raspberry Pi Pico as SWD debugger

![](../images/fa2022env/pi-pico.jpg){width=300}

Ref.[Turning Raspberry Pi Pico into an SWD Debug Probe with Picprobe](https://visualgdb.com/tutorials/raspberry/pico/picoprobe/)

### Pinout

![](../images/fa2022env/pi-pico-pinout.png)

### setup

- Download [picoprobe.uf2](https://datasheets.raspberrypi.com/soft/picoprobe.uf2) from Raspberry Pi Documentation[Debugging using another Raspberry Pi Pico
](https://www.raspberrypi.com/documentation/microcontrollers/raspberry-pi-pico.html)

- Hold **BOOTSEL** button and connect Pi Pico into your PC

![](../images/fa2022env/pi-pico_pinout_bootsel.png){width=300}  
![](../images/fa2022env/pi-pico-usb-connected.png){width=500}

- Drug and Drop **picoprobe.uf2** file into USB drive **RPI-RP2**

### Recognizing Picoprobe on Mac
```
% ls /dev | grep usb
cu.usbmodem14401
tty.usbmodem14401

//% brew install lsusb
% lsusb
Bus 020 Device 000: ID 2e8a:0004 2e8a Picoprobe  Serial: E660583883472E2C
```





## Connection

Pi Pico|USB-D11C-serial  
:--:   |:--:
GP2    |SWCLK  
GP3    |SWDIO
GND    |GND  
![](../images/fa2022env/pi-pico-pinout_left.png){width=400} |![](../images/fa2022env/hello.D11C.serial.5V.1.1_v.png){width=400}


## Burn bootloader from Arduino IDE

### TEST 1

![](../images/fa2022env/pi-pico-arduino-setting.png)
![](../images/fa2022env/pi-pico-arduino-error.png)
