# How to make this site

## Get `fabacademy-student-template`
[repo](https://gitlab.fabcloud.org/fibasile/fabacademy-student-template)  
```
% cd repos/
% git clone git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git fa2022_kannai_site
% ls
fa2022_kannai_site
% cd fa2022_kannai_site
% ls
requirements.txt
$ pip install -r requirements.txt
```

## Try Other colors

```
% cd fa2022_kannai_site
% ls
README.md		mkdocs.yml
docs			requirements.txt
% nano mkdocs.yml
```


mkdocs.yml
```
# add
extra_css:
  - stylesheets/extra.css

theme:
  name: material

# comment out
  #palette:
    # try other colors https://squidfunk.github.io/mkdocs-material/getting-started/#primary-colors
    #primary: deep
    #accent: red
```


```
% cd docs/
% nano stylesheets/extra.css
```
stylesheets/extra.css
```
:root {
  --md-primary-fg-color:        #5B9BAF;
  --md-primary-fg-color--light: #5B9BAF;
  --md-primary-fg-color--dark:  #5B9BAF;

  --md-accent-fg-color: #5B9BAF;
  --md-accent-bg-color: #5B9BAF;
}
```


## Change remote repo

This is instructions from fabcloud
```
Push an existing Git repository
cd existing_repo
git remote rename origin old-origin
git remote add origin git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git
git push -u origin --all
git push -u origin --tags
```


```
% cd fa2022_kannai_site
% git remote -v
origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (fetch)
origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (push)

% git remote rename origin old-origin
% git remote -v                      
old-origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (fetch)
old-origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (push)

% git remote add origin git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git

% git remote -v  
old-origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (fetch)
old-origin	git@gitlab.fabcloud.org:fibasile/fabacademy-student-template.git (push)
origin	git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git (fetch)
origin	git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git (push)

% git push -u origin --all
Enumerating objects: 195, done.
Counting objects: 100% (195/195), done.
Delta compression using up to 4 threads
Compressing objects: 100% (79/79), done.
Writing objects: 100% (195/195), 410.64 KiB | 58.66 MiB/s, done.
Total 195 (delta 104), reused 195 (delta 104)
remote: Resolving deltas: 100% (104/104), done.
To gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git
 * [new branch]      master -> master
Branch 'master' set up to track remote branch 'master' from 'origin'.

% git push -u origin --tags
Everything up-to-date
```

PUSH
```
% git add .
% git commit -m "first push"
% git push
```
