# 3. Computer controlled cutting

## nueval

- [nueval](https://nueval.fabacademy.org/#/login)
    - Login with fablabs.io
    - Student's checklist -> Send Message to Instructor(in English) -> Local evaluation
    - Progress -> Completed (Assignment done)
    - (Local eval) Completed x 2 -> Request to Global Evaluation
    - Global Evaluator will be assigned -> Global Evaluation starts
    - (Global eval) Completed all + Final Presentation -> Graduate!

## Google Photo

- Share photos

## Group assignment

- [kannai site](https://fabacademy.org/2022/labs/kannai/)
- [repo](https://gitlab.fabcloud.org/academany/fabacademy/2022/labs/kannai/site)
    - Project information -> Member -> Student_name(Maintainer)
- [Assessment](https://fabacademy.org/2022/nueval/computer-controlled_cutting.html)
> Document your work to the group work page and reflect on your individual page what you learned

```
% cd ~
% cd repo
% git clone git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git
% ls
site
% mv site fa2022_kannai_site
```
or
```
% git clone git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/kannai/site.git fa2022_kannai_site
```

### Weekly_Group_Assignments -> week3.md
```
% brew install tree
% cd repos/fa2022_kannai_site
% tree
.
├── README.md
├── agreements
│   ├── agreements_instructor_nk.md
│   ├── agreements_instructor_yt.md
│   └── agreements_labs.md
├── docs
│   ├── Instruction
│   │   ├── images
│   │   │   ├── T-shirts_grad.jpg
│   │   │   └── T-shirts_press.jpg
│   │   ├── tips
│   │   │   └── make_this_site.md
│   │   ├── tips_list.md
│   │   ├── week01.md
│   │   ├── week02.md
│   │   ├── week03.md
│   │   ├── week04.md
│   │   ├──
│   │   ├── week17.md
│   │   └── week18.md
│   ├── Machine_Building
│   │   ├── final-project.md
│   │   └── sample-project.md
│   ├── Weekly_Group_Assignments
│   │   ├── week01.md
│   │   ├── week02.md
│   │   ├── week03.md
│   │   ├── week04.md
│   │   ├──
│   │   ├── week17.md
│   │   └── week18.md
│   ├── about_my_lab
│   │   └── index.md
│   ├── files
│   ├── images
│   │   ├── avatar-photo.jpg
│   │   ├── favicon.svg
│   │   ├── home
│   │   │   ├── FabLabLannai_Logo2022-g.png
│   │   │   ├── FabLabLannai_Logo2022-tate-g.png
│   │   │   ├── FabLabLannai_Logo2022-tate-w.png
│   │   │   ├── FabLabLannai_Logo2022-w.png
│   │   │   ├── logo_slide.gif
│   │   │   ├── logo_slide_w.gif
│   │   │   ├── painting.jpg
│   │   │   └── tear_deer.gif
│   │   ├── sample-photo.jpg
│   │   ├── sample-pic-2.jpeg
│   │   └── week01
│   │       └── assignment-photo.jpg
│   ├── index.md
│   └── stylesheets
│       └── extra.css
├── mkdocs.yml
└── requirements.txt
```

### Weekly Group Assignment
> docs/Weekly_Group_Assignments/week03.md  
> docs/images/week03/photo.jpg
```
% cd repos/fa2022_kannai_site
% git pull

// edit

% git add .
% git commit -m "add week03.md"
% git push
```

### Licenses

-  Fusion360 (Autodesk)
    - Fab academy
        - Education License
    - Fab Lab
        - FabLab Kannai's account
            - Generative design

## Preparation for next week
> **Electronics Production**  
> *group assignment:*  
>   characterize the design rules for your in-house PCB production process  
>   extra credit: send a PCB out to a board house  
>   
> *individual assignment:*  
>   make an in-circuit programmer that includes a microcontroller:  
>      extra credit: customize the design  
>      mill and stuff the PCB  
>      test it to verify that it works  
>      extra credit: try other PCB processes  

### MCU

Family|MCU              |Interface |in-circuit programmer</br>(Assignment)
--    |---              |--        |---
AVR   |AVR-1</br>3216   |UPDI      |USB-Serial board & Serial-UPDI board
ARM   |SAMD11C          |JTAG/SWD  |FreeDAP board
Xtensa|ESP8266</br>ESP32|Serial    |USB-Serial board

!!! Attention
    FA2022 Trend  
    SAMD11C -> USB-Serial board  
    To Programm SAMD11C, need another DAP programmer board  
    (Not FTDI chip)  

### SAMD11C programming environment

  - Use any PC and Commercial DAP to program your SAMD11C board
  - Use Raspberry Pi3 (Raspberry Pi OS) as OpenOCD to program SAMD11C  
  - Use Raspberry Pi4 (Ubuntu) and Seeeduino Xiao as DAPLink to program SAMD11C  

### Preparation
  - **microUSB (16G,32G)**
  - Raspberry Pi3 /Raspberry Pi4
  - Seeeduino Xiao

## Group Assignment
>   characterize your lasercutter's focus, power, speed, rate,   
>     kerf, joint clearance and types

### Have you answered these questions?

[Assessment](https://fabacademy.org/2022/nueval/computer-controlled_cutting.html)

- linked to the group assignment page  
- Explained how you parametrically designed your files  
- Documented how you made your press-fit kit  
- Documented how you made your vinyl cutting  
- Included your original design files  
- Included your hero shots  

### Hero shots

well-taken photos, not snap shots

### Laser cutter
Universal [vls2.3](https://www.ulsinc.com/products/platforms/vls2-30dt)

- 30W CO2
- [manual](https://drive.google.com/file/d/0B9LkpMvsCJ3LN1JCNmJCUVZYNzQ/view?resourcekey=0-XEHkRxNO19cL2TE_kflW2g)

### Material
- card board
    - A3 or 300x450mm
    - about 3mm thickness (need to be measured)

### Todo
Ref. [FA2021](https://fabacademy.org/2021/labs/kannai/students/natsuka-kamei/week3.html#group)

- Focus
    - Lens: 2.0 inch (2.54 x2 mm)
    - Z Axis resolution 0.1mm
    - Defocus +3.0, +2.5, +2.0 +1.5, +1.0, +0.5, 0, -0.5, -1.0

  ![](./images/week02/laser_focus.png){width=400}

- Power, Speed, Rate
    - Find the best parameter from this experiment

![](https://fabacademy.org/2021/labs/kannai/students/natsuka-kamei/images/assignment/week3/p%20(5).jpg)

Download:  [svg](./images/week02/fa2021-group-assignment-power-speed-ppi.svg)
,
  [cdr](./images/week02/fa2021-group-assignment-power-speed-ppi-V16.cdr)


- Kerf
    - 10 sticks (11 cuts)
    - 1/2 + 9 + 1/2 = 10 Kerf
  [![](./images/week02/kerf_test.png)](./images/week02/fa2022-group-assignment-laser_kerf_x10 .f3d "Download CDR")
  Download: [f3d](./images/week02/fa2022-group-assignment-laser_kerf_x10 .f3d)

!!! Tips
    Markdown  
    ``[![](path/to/image.jpg)](path/to/link.f3d "mouse-over-text")``

- Joint Clearance fro pressfit
    - Comb
![](./images/week02/comb-test.png)
  Download: [f3d](./images/week02/fa2022-group-assignment-comb-test.f3d)


## Individual Assignment

>  cut something on the vinylcutter  
>  
>  design, lasercut, and document a parametric construction kit,  
>  accounting for the lasercutter kerf,  
>  which can be assembled in multiple ways,  
>  and for extra credit include elements that aren't flat


### what you learned from Group assignment

- Add link of this week's group assignment page
- Add What you learned from Group assignment


### ToDo

### Parametric construction kit
- Fusion360
    - parametric design  
        - Kerf
        - Clearance
    - [Joint](http://academy.cba.mit.edu/classes/computer_cutting/joints.png)

- elements that aren't flat
    - Kerf bending
        - Inkscape Extension: [Living Hinge Creator](https://inkscape.org/ja/~drphonon/%E2%98%85living-hinge-creator)
        - Kerf cut: [Trotec Wood and acrylic sheets bending applications](https://www.trotec-materials.com/material-usage-hints/bending-trotec-materials)

### Vinylcutter
[silhouette CAMEO](https://silhouettejapan.jp/support/)  
[Silhouette Studio](https://silhouettejapan.jp/download/?tax_download_model=cameo&tax_download_category=soft)

- Download images from web or design your original
- Cut Vinyl sheet
    - Laptop Sticker
    - Sand Blast Stencil > Glass
        - Ref. [last year](https://fabacademy.org/2021/labs/kannai/students/natsuka-kamei/week3.html)
- Cut Rubber sheet
    - Heat Press > T-shirt
        - [Pressing](./images/T-shirts_press.jpg)
        - [Graduation](./images/T-shirts_grad.jpg)
