# 6. Electronics design

## **Instruction**

Group Assignment

- Use the test equipment in your lab to observe the operation of a microcontroller circuit board (in minimum, check operating voltage on the board with multimeter or voltmeter and use oscilloscope to check noise of operating voltage and interpret a data signal)
- Document your work to the group work page and reflect on your individual page what you learned

Individual Assignment

- [Here](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)

## **What I did this week**

1. Test the operation of a circuit board by multimeter and oscilloscope → in this page
2. Design: Redraw the circuit board with botton and LED → [Individual Page](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)
3. Check: Design Rule Check and make the circuit board  → [Individual Page](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)
4. Make: Assemble electronic components to the board → [Individual Page](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)
5. Test: Write programme to the microcomputer on making breakout board → [Individual Page](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)

## **1. Test the operation of a circuit board by multimeter and oscilloscope**

### the board I used for test

3216 breakout board

![circuitboard.jpg](../images/week06/circuitboard.jpg)

![boardlayout.png](../images/week06/boardlayout.png)

### **Multimeter Test**

A multimeter is an indispensable tool used to make various electrical measurements of which we are not able to see with our naked eyes without the aid of this valuable tool.

- device we use
    - sanwa PM3

![pm3.png](../images/week06/pm3.png)

- Test 1 :Measure Voltage between IC2 IN and GND
    - change mode: DCV mode (Direct Current Voltage)

        [https://www.notion.so](https://www.notion.so)

    - Check Potential difference

    ![boardlayout_t.png](../images/week06/boardlayout_t.png)

    - acquire the outcome of “5.18V” which is correct judging theoretically from the board

    ![multimeter_5V.jpg](../images/week06/multimeter_5V.jpg)


- Test 2 : Measure Voltage between IC2 OUT and GND
    - acquire the outcome of “3.3V” which is correct judging theoretically from the board

        ![multimeter_3.3V.jpg](../images/week06/multimeter_3.3V.jpg)


- Check soldering connections
    - change mode “beep”
    - soldered (Connected)
    - short (should not be connected, but connected)

        ![multimeter_soldered.jpg](../images/week06/multimeter_soldered.jpg)

- it can also check whether LED illuminates or not

    ![multimeter_LED.jpg](../images/week06/multimeter_LED.jpg)


## **Oscilloscope Test**

Oscilloscopes test and display voltage signals as waveforms, visual representations of the variation of voltage over time. The signals are plotted on a graph, which shows how the signal changes.

### The oscilloscope we used

Tektronix TBS1052B

![Oscillo_TBS1052B.png](../images/week06/Oscillo_TBS1052B.png)

### Preparation

Before the test, first of all we should calibrate the probe precision.

- manual probe compensation

Read [Oscilloscope](http://yuichitamiya.fabcloud.io/fabacademy2020/projects/Oscilloscope/)

![manual_1.png](../images/week06/manual_1.png)

![manual_2.png](../images/week06/manual_2.png)

Connect the probes to “probe compensation port”

![osci_connect.jpg](../images/week06/osci_connect.jpg)

prove > voltage >

![osci_cmp.jpeg](../images/week06/osci_cmp.jpeg)

create Echo.ino in arduino

```jsx
void setup() {
Serial.begin(115200);
}

void loop() {
if(Serial.available() > 0){
Serial.write(Serial.read());
}
}
```

setting

![setting.png](../images/week06/setting.png)

Connect the programmer to the tagrget circuit

![kakikomi_echo.jpg](../images/week06/kakikomi_echo.jpg)

Upload done

![upload done](../images/week06/uploaddone.png)

After reconnecting, check if serial communication can be undergo or not .

*Note: Serial communication*
is a communication method that uses one or two transmission lines to send and receive data, and that data is continuously sent and received one bit at a time. Since it allows for connections with few signal wires, one of its merits is its ability to hold down on wiring material and relaying equipment costs. It is the most widely used approach to transfer information between data processing equipment and peripherals.

Open Serial monitor in Arduino and send “hello.”

Then, “hello” returns on the spot which means to work correctly “echo” programme. We were able to confirm that the program was written to the IC and serial communication was working without any problems.

![hello.png](../images/week06/hello.png)

Connect an adapter which has vertical ports for easy checking

![osci_adapter.jpeg](../images/week06/osci_adapter.jpeg)

### Test voltage signals of Tx and Rx

Connect ports to oscilloscope

- 1 channel (yellow) :Tx (Transmitter)
- 2 chanel(blue) : Rx (Receiver)

![osci_connect.jpeg](../images/week06/osci_connect.jpeg)

when I typed “a”, oscilloscope showed the shape below

![osci_a.jpeg](../images/week06/osci_a.jpeg)

when I typed “U”, oscilloscope showed the shape below

![osci_U.jpeg](../images/week06/osci_U.jpeg)

![osci_U_cap.jpeg](../images/week06/osci_U_cap.jpeg)

the waveform told us the ammont of voltage below.

- Tx ΔV = 3.36V
- Rx ΔV=5.28V

![osci_deltaRxV.jpeg](../images/week06/osci_deltaRxV.jpeg)

Zoom in and measure the time, a single width shows 8.5μs.

![osci_deltat.jpeg](../images/week06/osci_deltat.jpeg)



the number of signals is set 115200 per 1 second in arduino, which is calculated  8.68μs per 1 signal. It means that the oscilloscope results and theoretical values were in agreement.

send “yukiya” of my name and check its waveform

![osci_yuk.jpeg](../images/week06/osci_yuk.jpeg)

→This is the shape of me in mini computer

- Reconnect toProbe RX line
    - between **before** 4.99k register (t3216 side) and GND
        - yellow
        - Electric potential difference is Δ5.36V

            ![osci_probe_before.jpeg](../images/week06/osci_probe_before.jpeg)

    - between **after** 4.99k register (D11C side) and GND
        - Blue
        - Electric potential difference is Δ5.36V

            ![osci_probe_after.jpeg](../images/week06/osci_probe_after.jpeg)


We see that 5.36 - 3.68 = 1.7V drop due to the 4991 resistor

## **What we learn this week**

[to Individual Page](https://fabacademy.org/2022/labs/kannai/students/yukiya-yamane/assignments/week07/)
